summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorSamuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>2019-02-04 12:29:15 +0100
committerSamuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>2019-02-04 12:29:33 +0100
commitf4c5826edec559b0f77f1c037a7d0a895dec45eb (patch)
tree924b88cd68ffccc1a76fcd71cb4b032180aa8064 /docker
parentAvoid having files with names that differ only in case (diff)
downloadonline-f4c5826edec559b0f77f1c037a7d0a895dec45eb.tar.gz
online-f4c5826edec559b0f77f1c037a7d0a895dec45eb.zip
Docker: Fetch refs before checking out branch
Change-Id: I581fad6dd90831cffceb1bbc7456749fca941a34
Diffstat (limited to 'docker')
-rwxr-xr-xdocker/l10n-docker-nightly.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 5601de2f73..72207fb071 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -67,7 +67,7 @@ if test ! -d libreoffice ; then
git clone https://git.libreoffice.org/core libreoffice || exit 1
fi
-( cd libreoffice && git checkout $LIBREOFFICE_BRANCH && ./g pull -r ) || exit 1
+( cd libreoffice && git fetch --all && git checkout $LIBREOFFICE_BRANCH && ./g pull -r ) || exit 1
# online repo
if test ! -d online ; then
@@ -75,7 +75,7 @@ if test ! -d online ; then
( cd online && ./autogen.sh ) || exit 1
fi
-( cd online && git checkout -f $LIBREOFFICE_BRANCH && git pull -r ) || exit 1
+( cd online && git fetch --all && git checkout -f $LIBREOFFICE_BRANCH && git pull -r ) || exit 1
##### LibreOffice #####